Subject: Re: jk/tag-contains: stalled

From: Ted Ts'o <[email-masked]>
Date: Thu, 5 Aug 2010 16:36:33 -0400

On Thu, Aug 05, 2010 at 03:06:54PM -0400, Jeff King wrote:
> But my intent was to have a generic contains function. I was planning on
> applying this to "git branch --contains", as well, but my initial
> approach wasn't really any faster than the current code (probably
> because the number of branches tends to be small compared to the number
> of tags).

At work we have some 100 topics branches per kernel revision, and I
have a repository with 332 branches in it at the moment.  So there may
very well be repo's where git branch --contains might be faster with
your approach.

							- Ted